<?php

/*
 * MAIN: jQuery easy detection form field
 *
 *   Copyright (c) provis1.de
 *   All rights reserved.
 *
 * PROJECT: Joomla plg_smartappbanner
 * VERSION: 1.0
 * CREATED: January 2014
 * AUTHOR: ProVision.1 - Alexander Knauer
 *
 * MODIFICATIONS:
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');

// JQuery easy plugin detect form field
class JFormFieldJQEasyDetect extends JFormField {

    protected $type = 'jqeasydetect';

    // Return jquery warning label
    public function getLabel() {
        
        // Disable on Joomla 3.x
        jimport('cms.version.version');
        $joomVer = new JVersion();
        if($joomVer->isCompatible('3.0')) 
            return '';
     
        // Don't add android banner, if jquery easy plugin not installed
        $db = JFactory::getDbo();
        $db->setQuery("SELECT enabled FROM #__extensions WHERE element = 'jqueryeasy'");
        $is_enabled = $db->loadResult();
        if (!$is_enabled )
            JError::raiseNotice( 100, JText::_('PLG_SYSTEM_SMARTAPPBANNER_JQUERYEASY_NOT_INSTALLED_ADMIN') );
        
        return '';
    }
    
    // Return no inputfield
    public function getInput() {
        return '';
    }

}